KJL - Feature #1989

Mobile Attendance untuk karyawan yang Lintas Hari.
02/06/2023 01:40 PM - Fachrul Hardianto

Status: Closed Start date: 02/06/2023
Priority: Immediate Due date: 02/09/2023
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,

Mohon bantuannya untuk membuat fungsi Attendance di aplikasi mobile agar dapat clock in dan clock out lintas/berbeda hari. untuk
mengakomodir karyawan yang shift malam ataupun long shift.

Jika Attendance Type yang di pilih "CrossDay" nya "Y" , maka tidak ada validasi harus Clock-in , sehingga tetap bisa melakukan
clock-out.

Dan pada saat clockout akan :

- Mencatat EndTime (PHRPAO0019),

- Mencatat EndLocation (PHRPA0019),

- mengupdate kolom "EndDate" sesuai tanggal clockout. sehingga memungkinkan StartDate & EndDate nya berbeda
tanggal.(PHRPAO0019)

WIN-PHETIO259)H....L - dbo.PHRPADD19 WIN-PHETIO259)H....dbo.PHRTMATTTYP + X RUINES kg ai=lal Nle
StartDate EndDate At.l.:endanceT\,.rpe AttendanceTy... | CrossDay Motes
SL0150101) 99991231 1000 | Mormal NULL
20160101 99991231 2000 Dinas MULL
. 20160101 99991231 3000 Training MULL
| 20160101 99991231 4000 Work From Ho... | MULL
20160101 99991231 5000 Izin Datang Telat | MULL
. 20160101 99991231 5001 Izin Pulang Awal | NULL
. 20160101 99991231 6000 Shift 1 MULL
| 20160101 59591231 7000 Shift 2 MULL
20160101 99991231 2000 Shift 3 ¥
.E{ZI‘I 60101 99991231 9000 Leng Shift ¥
* | NULL NULL NULL NULL MULL NULL
Attendance type di ambil dari tabel PHRTMATTTYP

WIN-PHETIO259)H....L - dbo.PHRPADDTS -+ > INRaIatnle il S [Tl s i N g 'y WIN-6PEHSTRPCMH...- dbo.PHRPADDD
StartDate EndDate EmployeelD StartTime StartLocation EndTime EndLocation AttendanceType Motes Creg
4 20230118 15110001 1630 Absence From .. 2000 From Maobile 1517
20230118 20230118 15110001 1630 Absence From ... 1631 Absence From .| 1000 From Mobile 1517
20230119 20230119 22060253 1003 Absence From ... 1000 From Maobile 220
20230120 20230120 15120001 1427 Absence Frem ... 1000 From Mobile 151]
20230120 20230120 16030005 1427 Absence Frem ... 1000 From Mobile 160]
20230120 20230120 18041800 1420 Absence Frem ... 1000 From Mobile 1804
20230120 20230120 20010129 1418 Absence From ... 1421 Absence From .| 1000 From Mobile 200
20230124 20230124 13041800 1434 Absence From .. 1000 From Mabile 1804
20230204 20230204 16030006 1404 Absence Frem ... [2252 Absence From .| 1000 From Mabile 160
20230204 20230204 16030006 1404 Absence Frem ... [2252 Absence From .| 1000 From Mabile 160
20230204 20230204 16030009 1502 Absence Frem .. 1000 From Maobile 160
20230205 20230205 Absence From Mobile at Pergudangan Surya Balaraja Bldk B 12, Sentul Jaya, Kec. Balaraja, Kabjipaten Tangerang, Banten 13610, Indonesia
20230205 20230205 16030006 1516 Absence Froem .. 1000 From Maobile 160
20230206 20230206 20010129 1042 Absence From .. 1000 From Maobile 2001
20230206 20230206 20010129 1043 Absence From ... 1000 From Maobile 2001
. NULL NULL NULL NULL NULL NULL NULL NULL NULL WU
Data Attendance di PHRPA0019

Terimakasih.
Semoga dapat di mengerti.

user yang dapat di gunakan untuk testing : 17090032 pass: 123Aa
Port : hitps://hris-kjl.minovais.com:31139

Server : 45.251.75.66
DB : MinovaES_KJL

History

#1 - 02/07/2023 10:40 AM - Kezia Pawitra Yulianti
- Due date set to 02/09/2023

- Status changed from New to Assigned

Dear mang Wanto,
nitip task ini ya
Tks

#2 - 02/07/2023 11:53 AM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Fachrul Hardianto

UPDATE API
MinovalS.Mobile.API.dlII
MinovalS.Mobile.WorkFlow.dll

UPDATE STORE PROCEDURE DIDB
[dbo].[GETDISTANCE]

#3 - 04/03/2023 12:01 PM - Fachrul Hardianto
- Status changed from QA Test to Closed
- Assignee deleted (Fachrul Hardianto)
